import globals from "globals";
import pluginJs from "@eslint/js";

export default [
  { files: ["**/*.js"], languageOptions: { sourceType: "commonjs" } },
  { languageOptions: { globals: globals.browser } },
  pluginJs.configs.recommended,
  {
    rules: {
      "prefer-const": "off",
      "quotes": ["warn", "double", { "allowTemplateLiterals": true }],
      "no-unused-vars": "warn",
      "no-multi-spaces": "warn",
      "no-multiple-empty-lines": ["warn", { "max": 1 }],
      "no-case-declarations": "off"
    }
  }
];